{% extends "base_title.html" %}
{% load static %}

{% block realcontent %}
  <h2>Inscriptions pour BdA-Revente</h2>
  <form action="" class="form-horizontal" method="post">
    <div class="bg-info text-info center-block">
        <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span>
        Cochez les spectacles pour lesquels vous souhaitez recevoir une
        notification quand une place est disponible en revente. <br />
        Lorsque vous validez vos choix, si un tirage au sort est en cours pour
        un des spectacles que vous avez sélectionné, vous serez automatiquement
        inscrit à ce tirage.
    </div>
    <br />
    {% csrf_token %}
    <div class="form-group">
      <button type="button"
              class="btn btn-primary"
              onClick="select(true)">Tout sélectionner</button>
      <button type="button"
              class="btn btn-primary"
              onClick="select(false)">Tout désélectionner</button>
      <table  class="table table-striped stupidtable">
        <thead>
          <tr>
            <th></th>
            <th data-sort="string">Titre</th>
            <th data-sort="int">Date</th>
            <th data-sort="string">Lieu</th>
            <th data-sort="int">Prix</th>
          </tr>
        </thead>
        <tbody>
          {% for checkbox in form.spectacles %}{{ checkbox }}{% endfor %}
        </tbody>
      </table>

    </div>
    <input type="submit"
           class="btn btn-primary"
           value="S'inscrire pour les places sélectionnées">
  </form>

<script language="JavaScript">
  function select(check) {
      checkboxes = document.getElementsByName("spectacles");
      for(var i=0, n=checkboxes.length; i < n; i++) {
          checkboxes[i].checked = check;
      }
  }
  $(function(){
      $("table.stupidtable").stupidtable();
  });
  
  $("tr").click(function() {
      $(this).find("input[type=checkbox]").click()
  });

  $("input[type=checkbox]").click(function(e) {
    e.stopPropagation();
  });
</script>
{% endblock %}
